%define name perl-Lingua-Ispell
%define realname Lingua-Ispell
%define version 0.07
%define release 6mdk

Name:		%{name}
Summary:	Ispell inteface perl module
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Interface to the Ispell spellchecker

%prep -q

%setup -n %{realname}-%{version}

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_prefix}/lib/perl5/man/man3/*
%{_libdir}/perl5/site_perl/*/Lingua

%changelog
* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 0.07-6mdk
- simplified %%files and removed perllocal.pod.
- make package noarch.

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-5mdk
- rebuild

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.07-4mdk
- Allow build on non %%ix86 architectures

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.07-3mdk
- fix typo

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- first spec


